package com.sonic.lion.service;

import com.sonic.lion.domain.entity.PayCallChannelRecord;
import com.sonic.lion.domain.output.SyncChannelOutput;

/**
 * 渠道处理服务
 * 用于抽象  渠道的 交易发起 交易回调  交易超时 交易关闭
 */
public interface ChannelProcessingService {

    SyncChannelOutput chargeProcessing(PayCallChannelRecord record);

    SyncChannelOutput withdrawProcessing(PayCallChannelRecord record);

}
